PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > > Struct Reference
Collaboration diagram for plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >:
[legend]

## Public Member Functions
| LateralMeshAdapter (const SolverOver< Geometry3D > *solver)
void | resetMidpoints (const shared_ptr< MeshAxis > &vbounds)
void | resetMidpoints (const shared_ptr< MeshAxis > &vbounds, double spacing)
void | reset (const shared_ptr< MeshAxis > &verts)
shared_ptr< RectangularMesh< 3 > > | makeMesh (const shared_ptr< MeshAxis > &verts)
shared_ptr< OrderedAxis > | vert ()
shared_ptr< RectangularMesh< 3 > > | midmesh () const
size_t | size () const
size_t | idx (size_t i, size_t v) const
Vec< 3 > | at (size_t i, size_t v) const
shared_ptr< RectangularMesh< 3 > > | makeLine (size_t i, size_t v, double spacing) const

## Public Attributes
shared_ptr< RectangularMesh< 3 > > | mesh

## Detailed Description

Definition at line 137 of file solver.cpp.

## Constructor & Destructor Documentation

## ◆ LateralMeshAdapter()

plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >::LateralMeshAdapter | ( | const SolverOver< Geometry3D > * | solver | ) |
| inline

Definition at line 144 of file solver.cpp.

## Member Function Documentation

## ◆ at()

Vec< 3 > plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >::at | ( | size_t | i,
|  | size_t | v
| ) |  | const
| inline

Definition at line 204 of file solver.cpp.

## ◆ idx()

size_t plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >::idx | ( | size_t | i,
|  | size_t | v
| ) |  | const
| inline

Definition at line 202 of file solver.cpp.

## ◆ makeLine()

shared_ptr< RectangularMesh< 3 > > plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >::makeLine | ( | size_t | i,
|  | size_t | v,
|  | double | spacing
| ) |  | const
| inline

Definition at line 206 of file solver.cpp.

## ◆ makeMesh()

shared_ptr< RectangularMesh< 3 > > plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >::makeMesh | ( | const shared_ptr< MeshAxis > & | verts | ) |
| inline

Definition at line 190 of file solver.cpp.

## ◆ midmesh()

shared_ptr< RectangularMesh< 3 > > plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >::midmesh | ( |  | ) | const
| inline

Definition at line 196 of file solver.cpp.

## ◆ reset()

void plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >::reset | ( | const shared_ptr< MeshAxis > & | verts | ) |
| inline

Definition at line 186 of file solver.cpp.

## ◆ resetMidpoints() [1/2]

void plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >::resetMidpoints | ( | const shared_ptr< MeshAxis > & | vbounds | ) |
| inline

Definition at line 173 of file solver.cpp.

## ◆ resetMidpoints() [2/2]

void plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >::resetMidpoints | ( | const shared_ptr< MeshAxis > & | vbounds,
|  | double | spacing
| ) |  |
| inline

Definition at line 179 of file solver.cpp.

## ◆ size()

size_t plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >::size | ( |  | ) | const
| inline

Definition at line 200 of file solver.cpp.

## ◆ vert()

shared_ptr< OrderedAxis > plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >::vert | ( |  | ) |
| inline

Definition at line 194 of file solver.cpp.

## Member Data Documentation

## ◆ mesh

shared_ptr<RectangularMesh<3> > plask::optical::modal::LateralMeshAdapter< SolverOver< Geometry3D > >::mesh

Definition at line 142 of file solver.cpp.

The documentation for this struct was generated from the following file:

- solvers/optical/modal/solver.cpp